@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,400;0,9..40,500;0,9..40,600;0,9..40,700;1,9..40,400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,400;0,9..40,500;0,9..40,600;0,9..40,700;1,9..40,400&family=Poppins:ital,wght@0,400;0,600;0,700;1,600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    scroll-padding-top: 10px;
}

@keyframes scale {

    0%,
    100% {
        scale: 1;
    }

    50% {
        scale: 1.10;
    }
}

@keyframes typeAnim {
    from {
        width: 0;
    }
}

@keyframes blinking {
    50% {
        border-color: transparent;
    }
}

.type-text {
    width: 12ch;
    white-space: nowrap;
    overflow: hidden;
    /* font-family: monospace !important; */
    border-right: 4px solid;
    animation: typeAnim 2s steps(12), blinking .5s infinite step-end alternate;
}

.animate-scale {
    animation: scale 1.3s infinite;
}

.fade-in {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1.5s ease, transform 1.5s ease;
}

/* Efeito de fade in ao rolar */
.fade-in.fade-in-visible {
    opacity: 1;
    transform: translateY(0);
}